diff --git a/README.replicated-server b/README.replicated-server
index 333dea3..1d771d3 100644
--- a/README.replicated-server
+++ b/README.replicated-server
@@ -3,48 +3,45 @@ Supported forms for mount paths are:
 Normal single-host (these are unchanged)
 <path> host:/path/path
 
+Single host entries are not probed for a server response.
+
 Multiple replicated hosts, same path:
 <path> host1,host2,hostn:/path/path
 
-This will do an initial RPC call with a .1 second timeout to all hosts to 
-find best match.  If this fails, it will try a 10 second timeout, if this 
-fails it takes the first host.
-
 Multiple hosts, some with same path, some with another
 <path> host1,host2:/blah host3:/some/other/path
 
-Works as expected
-
 Multiple replicated hosts, different (potentially) paths:
 <path> host1:/path/pathA host2:/path/pathB
 
-Same as above with RPC calls..
-
 Mutliple weighted, replicated hosts same path:
-
 <path> host1(5),host2(6),host3(1):/path/path
 
-Will pick lowest weighted host that responds to RPC call.  
-RPC time is not counted, only whether the call got a reply 
-at all.  Initially does a .1 second timeout, if all hosts 
-fail this, moves to 10 second timeout.  If one of the hosts
-is localhost, the automounter will choose that regardless of
-its weight.  (This has been done to remain compatible with
-Sun's automounter)
-
 Multiple weighted, replicated hosts different (potentially) 
 paths:
 <path> host1(3):/path/pathA host2(5):/path/pathB
 
-Same as above with RPC calls/weighting.
-
-Anything else is questionable and unsupported, but these 
-variations will also work:
-<path> host1(3),host:/blah
-
-Unsupported and I don't know why you would use this, but will 
-work.  Weighted host always gets precedence if it responds to RPC
-
-Anything else, I ain't making no promises.
+For these formats a priority ordered list of hosts is created by using
+the following selection rules.
+
+1) Highest priority in selection is proximity.
+   Proximity, in order of precedence is:
+     - PROXIMITY_LOCAL, host corresponds to a local interface.
+     - PROXIMITY_SUBNET, host is located in a subnet reachable
+       through a local interface.
+     - PROXIMITY_NETWORK, host is located in a network reachable
+       through a local interface.
+     - PROXIMITY_OTHER, host is on a network not directlty
+       reachable through a local interface.
+  
+2) NFS version and protocol is selected by caclculating the largest
+   number of hosts supporting an NFS version and protocol that
+   have the closest proximity. These hosts are added to the list
+   in response time order. Hosts may have a corresponding weight
+   which essentially increases response time and so influences the
+   host order.
+  
+3) Hosts at further proximity that support the selected NFS version
+   and protocol are also added to the list in response time order as
+   in 2 above.
 
-Jason
